Request

Response

    Update properties of a Punch Clock Record
    PATCH

    punch-clock-records/{punchClockRecordId}

    Modifies only the specified attributes in the request body for the identified Punch Clock Record.

    Resource Information

    Method and URI
    PATCH
    https://api.aps.autodesk.com/fusion-operations/v2/punch-clock-records/{punchClockRecordId}
    Authentication Context
    No security required
    Required OAuth Scopes
    data:read data:write
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    JWT Access Token
    Content-Type*
    string
    Must be application/json
    * Required

    Request

    URI Parameters

    punchClockRecordId
    int
    Unique identifier of the Punch Clock Record to update.

    Request

    Body Structure

    The Punch Clock Record attributes to be updated, conforming to the specified schema. Only the provided fields will be modified.

    Expand all
    date
    datetime: ISO 8601
    Date time of the Punch Clock Record (e.g. 2025-06-21T14:07:17Z)
    worker
    id
    int
    number
    int
    anyOf
    0
    1
    type
    enum:string
    Type of Punch Clock Record Possible values: IN, OUT
    combineWithShift
    boolean
    Indicates if the Punch Clock Record should be combined with the worker shift

    Response

    HTTP Status Code Summary

    200
    OK
    Punch Clock Record updated successfully.
    400
    Bad Request
    Bad request due to invalid data.
    401
    Unauthorized
    The access token is invalid. It may have either expired or may not be a three-legged access token. Please verify the token and retry the request.
    403
    Forbidden
    The request was successfully validated but lacked required permission. Please verify your token permissions and retry the request.
    404
    Not Found
    The resource in the path does not exist.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying.
    500
    Internal Server Error
    An unknown server-side error occurred. Please try again later. If the problem persists, please contact support.

    Response

    Header (429)

    Retry-After
    integer
    The number of seconds to wait before retrying the request.

    Response

    Body Structure (200)

    Expand all
    id
    int
    Unique identifier of the Punch Clock Record.
    date
    datetime: ISO 8601
    Date time of the Punch Clock Record (e.g. 2025-06-21T14:07:17Z)
    worker
    id
    int
    number
    int
    name
    string
    Max length: 255
    anyOf
    0
    1
    type
    enum:string
    Type of Punch Clock Record Possible values: IN, OUT
    combineWithShift
    boolean
    Indicates if the Punch Clock Record should be combined with the worker shift
    delay
    string
    Delay between the start/end of the shift compared with the Punch Clock Record.

    Example

    Punch Clock Record updated successfully.

    Request

    curl -v 'https://developer.api.autodesk.com/fusion-operations/v2/punch-clock-records/:punchClockRecordId' \
      -X 'PATCH' \
      -H 'Authorization: ' \
      -H 'Content-Type: application/json' \
      -d '{
            "date": "2024-05-01T09:00:00Z"
          }'
    

    Response

    {
      "id": 382,
      "date": "2024-05-01T09:00:00Z",
      "type": "IN",
      "worker": {
        "id": 68,
        "number": 385,
        "name": "Andrew Smith"
      },
      "combineWithShift": false,
      "delay": "PT1H5M30S"
    }
    
    Show More